.contact-container {
    padding: 0 var(--grid-margin);
}

.page-title {
    margin-top: 4px;
}

.contacts {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    column-gap: var(--grid-gutter);
    margin-top: 32px;
}

.contacts-column {
    display: grid;
    grid-template-columns: auto 1fr;
    column-gap: 40px;
    row-gap: 8px;
    align-items: baseline;
    padding-top: 12px;
    border-top: 1px solid var(--black);
}

.contact {
    display: contents;
}

.contact-title {
    color: #BFBFBF;
    grid-column: 1;
}

.contact-text {
    grid-column: 2;
}

.locations-container {
    padding: 0px var(--grid-margin);
}

.locations {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    column-gap: var(--grid-gutter);
    row-gap: 20px;
}

.locations-title {
    margin-top: 64px;
    margin-bottom: 16px;
}

.location {
    padding-top: 16px;
    display: flex;
    flex-direction: column;
    gap: 16px;
    border-top: 1px solid var(--black);
}

.location-main {
    grid-column: span 2;
}

.location-map {
    margin-top: 64px;
    padding: 0px var(--grid-margin);
}

.location-map img,
.location-map video {
    width: 100%;
}

@media screen and (max-width: 767px) {
    .page-title {
        margin-top: 8px;
    }

    .contacts {
        grid-template-columns: auto 1fr;
        column-gap: 24px;
        row-gap: 0px;
        align-items: baseline;
        margin-top: 0px;
        padding-top: 16px;
        /* border-top: 1px solid var(--black); */
    }

    .contacts-column {
        display: contents;
    }

    .contact {
        display: contents;
    }

    .contact-title {
        grid-column: 1;
    }

    .contact-text {
        grid-column: 2;
    }

    .locations-container {
        padding: 0px;
    }

    .locations-title {
        padding: 8px var(--grid-margin) 8px;
        font-size: var(--fs-m);
        border: none;
        background-color: #DDDDDD;
        margin-bottom: 20px;
        margin-top: 40px;
    }

    .locations {
        display: flex;
        flex-direction: column;
        padding: 0px var(--grid-margin);
    }

    .location {
        padding: 12px 0px 10px;
        gap: 4px;
    }

    .location:first-child {
        padding-top: 0px;
        border-top: none;
    }

    .location-map {
        padding: 0px;
        margin-top: 24px;
    }
}

@media screen and (max-width: 1023px) and (min-width: 768px) {
    .location {
        grid-column: span 2;
    }

    .location.location-main {
        grid-column: span 4;
    }
}